/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { InstalledPackage } from "./testApi";
export declare function resolveVersion(requested: string, installed: boolean): string;
export declare function ensureInstalled(requested: string, packageList: string[], force: boolean): Promise<InstalledPackage | undefined>;
export declare function checkInstalled(requested: string): {
    version: string;
    modulePath: string;
};
export declare const loadPackage: (modulePath: string, pkg: string) => any;
/**
 * Used to get the major version number above or below the baseVersion.
 * @param baseVersion - The base version to move from (eg. "0.60.0")
 * @param requested - Number representing the major version to move from. These are
 * generally negative to move back versions (eg. -1).
 * Note: If the requested number is a string then that will be the returned value
 */
export declare function getRequestedRange(baseVersion: string, requested?: number | string): string;
export declare function internalSchema(publicVersion: string, internalVersion: string, requested: number | string): string;
export declare function versionHasMovedSparsedMatrix(version: string): boolean;
//# sourceMappingURL=versionUtils.d.ts.map